<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="zh">
<head>
<!-- Generated by javadoc (15) on Thu Jan 07 21:59:30 CST 2021 -->
<title>Kitchen</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-01-07">
<meta name="description" content="declaration: package: app, class: Kitchen">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Kitchen.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">app</a></div>
<h1 title="Class Kitchen" class="title">Class Kitchen</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">app.Kitchen</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">Kitchen</span>
extends java.lang.Object</pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(int,java.lang.String,int)">Kitchen</a></span>&#8203;(int&nbsp;id,
java.lang.String&nbsp;address,
int&nbsp;price)</code></th>
<td class="col-last">
<div class="block">Constructor<br>
 提供更新廚房資料使用</div>
</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(int,java.util.Date,java.util.Date,java.lang.String,int,boolean)">Kitchen</a></span>&#8203;(int&nbsp;id,
java.util.Date&nbsp;createdAt,
java.util.Date&nbsp;updatedAt,
java.lang.String&nbsp;address,
int&nbsp;price,
boolean&nbsp;deleted)</code></th>
<td class="col-last">
<div class="block">Constructor<br>
 提供紀錄從資料庫取出的資料使用</div>
</td>
</tr>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,int)">Kitchen</a></span>&#8203;(java.lang.String&nbsp;address,
int&nbsp;price)</code></th>
<td class="col-last">
<div class="block">Constructor<br>
 提供建立新廚房資訊使用</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAddress()">getAddress</a></span>()</code></th>
<td class="col-last">
<div class="block">取得廚房地址</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>java.util.Date</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getCreatedAt()">getCreatedAt</a></span>()</code></th>
<td class="col-last">
<div class="block">取得建立時間</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>org.json.JSONObject</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getData()">getData</a></span>()</code></th>
<td class="col-last">
<div class="block">取得JSONObject格式的廚房資料</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getDeleted()">getDeleted</a></span>()</code></th>
<td class="col-last">
<div class="block">取得是否軟刪除</div>
</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getId()">getId</a></span>()</code></th>
<td class="col-last">
<div class="block">取得廚房編號</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getPrice()">getPrice</a></span>()</code></th>
<td class="col-last">
<div class="block">取得每小時價錢</div>
</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>java.util.Date</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getUpdatedAt()">getUpdatedAt</a></span>()</code></th>
<td class="col-last">
<div class="block">取得更新時間</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,int)">
<h3>Kitchen</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Kitchen</span>&#8203;(<span class="parameters">java.lang.String&nbsp;address,
int&nbsp;price)</span></div>
<div class="block">Constructor<br>
 提供建立新廚房資訊使用</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>address</code> - 地址</dd>
<dd><code>price</code> - 每小時價錢</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(int,java.lang.String,int)">
<h3>Kitchen</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Kitchen</span>&#8203;(<span class="parameters">int&nbsp;id,
java.lang.String&nbsp;address,
int&nbsp;price)</span></div>
<div class="block">Constructor<br>
 提供更新廚房資料使用</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>id</code> - 廚房編號</dd>
<dd><code>address</code> - 地址</dd>
<dd><code>price</code> - 每小時價錢</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(int,java.util.Date,java.util.Date,java.lang.String,int,boolean)">
<h3>Kitchen</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Kitchen</span>&#8203;(<span class="parameters">int&nbsp;id,
java.util.Date&nbsp;createdAt,
java.util.Date&nbsp;updatedAt,
java.lang.String&nbsp;address,
int&nbsp;price,
boolean&nbsp;deleted)</span></div>
<div class="block">Constructor<br>
 提供紀錄從資料庫取出的資料使用</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>id</code> - 廚房編號</dd>
<dd><code>createdAt</code> - 建立時間</dd>
<dd><code>updatedAt</code> - 更新時間</dd>
<dd><code>address</code> - 地址</dd>
<dd><code>price</code> - 每小時價錢</dd>
<dd><code>deleted</code> - 軟刪除</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getId()">
<h3>getId</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getId</span>()</div>
<div class="block">取得廚房編號</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>int 廚房編號</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getCreatedAt()">
<h3>getCreatedAt</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.Date</span>&nbsp;<span class="member-name">getCreatedAt</span>()</div>
<div class="block">取得建立時間</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Date 建立時間</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getUpdatedAt()">
<h3>getUpdatedAt</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.Date</span>&nbsp;<span class="member-name">getUpdatedAt</span>()</div>
<div class="block">取得更新時間</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Date 建立時間</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAddress()">
<h3>getAddress</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getAddress</span>()</div>
<div class="block">取得廚房地址</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>String 廚房地址</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getPrice()">
<h3>getPrice</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getPrice</span>()</div>
<div class="block">取得每小時價錢</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>int 每小時價錢</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getDeleted()">
<h3>getDeleted</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">getDeleted</span>()</div>
<div class="block">取得是否軟刪除</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>boolean 是否軟刪除</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getData()">
<h3>getData</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.json.JSONObject</span>&nbsp;<span class="member-name">getData</span>()</div>
<div class="block">取得JSONObject格式的廚房資料</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>JSONObject 廚房資料</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Kitchen.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
